<?php
/*
Plugin Name: Connecteur Gestan
Plugin URI: http://wiki.gestan.fr/doku.php?id=wiki:addons:espace_client_wordpress
Description: Ce plugin permet la communication entre Wordpress et Gestan (<a href="http://www.gestan.fr" target="_blank">www.gestan.fr</a>) - logiciel édité par <a href="http://www.ics-informatique.com/" target="_blank">ICS-Informatique</a>
Version: 1.5
Author: Julian Siegwald
Author URI: http://www.lcpstudio.fr
Text Domain: Gestan
Domain Path: languages
*/

defined( 'ABSPATH' ) or die( 'Pas de scripts autorisés, merci !' );

define("ImgCheck", plugins_url('img/Check.png' , __FILE__ ));
define("ImgPaiement", plugins_url('img/Paiement.png' , __FILE__ ));

global $current_user;


function Creation_tables_Gestan()
{
    global $wpdb;

	
	
    $BDD_clients = $wpdb->prefix . 'GestanClients';

    $sql = "CREATE TABLE $BDD_clients (
	`ID_client` int(6) NULL,
	`IDTech` int(8) NOT NULL AUTO_INCREMENT,
	`Civilite` varchar(15) NULL,
	`Prenom` varchar(35) NULL,
	`Nom` varchar(35) NULL,
	`Raison_Sociale` varchar(35) NULL,
	`Adresse1` varchar(150) NULL,
	`Adresse2` varchar(150) NULL,
	`CP` varchar(7) NULL,
	`Ville` varchar(50) NULL,
	`Email` varchar(50) NULL,
	`TelHome` varchar(20) NULL,
	`TelGSM` varchar(20) NULL,
	`Date_Naissance` date NULL,
	`COMMENTAIRE` LONGTEXT,
	UNIQUE KEY id (IDTech)
    );";

    $BDD_param = $wpdb->prefix . 'GestanParam';

    $sql.= "CREATE TABLE $BDD_param (
	`IDTech` int(2) NOT NULL AUTO_INCREMENT,
	`PaypalEmail` varchar(50) NULL,
	`PagePaiementOK` varchar(150) NULL,
	`PagePaiementKO` varchar(150) NULL,
	UNIQUE KEY id (IDTech)
    );";

    
    
    $BDD_factures = $wpdb->prefix . 'GestanFactures';

    $sql.= "CREATE TABLE $BDD_factures (
	`IDTech` int(8) NOT NULL AUTO_INCREMENT,
	`NomPrenom` varchar(45) NULL,
	`Num_Facture` varchar(15) NULL,
	`Date` date NULL,
	`Nature` varchar(150) NULL,
	`Total` float NULL,
	`ResteAPayer` float NULL,
	`Statut` varchar(25) NULL,
	`Email` varchar(50) NULL,
	`Telechargement` varchar(150) NULL,
	UNIQUE KEY id (IDTech)
    );";






    $BDD_devis = $wpdb->prefix . 'GestanDevis';
    $sql.= "CREATE TABLE $BDD_devis (
	`IDTech` int(8) NOT NULL AUTO_INCREMENT,
	`NomPrenom` varchar(45) NULL,
	`Num_Devis` varchar(15) NULL,
	`Date` date NULL,
	`Nature` varchar(150) NULL,
	`Total` float NULL,
	`ResteAPayer` float NULL,
	`Statut` varchar(25) NULL,
	`Email` varchar(50) NULL,
	`Telechargement` varchar(150) NULL,
	UNIQUE KEY id (IDTech)
    );";

	
	
	    $BDD_devis = $wpdb->prefix . 'GestanCommande';
    $sql.= "CREATE TABLE $BDD_devis (
	`IDTech` int(8) NOT NULL AUTO_INCREMENT,
	`NomPrenom` varchar(45) NULL,
	`Num_Commande` varchar(15) NULL,
	`Date` date NULL,
	`Dt_Livraison` date NULL,
	`Nature` varchar(150) NULL,
	`Total` float NULL,
	`Email` varchar(50) NULL,
	`Telechargement` varchar(150) NULL,
	UNIQUE KEY id (IDTech)
    );";
	
	
	
		    $BDD_inter = $wpdb->prefix . 'GestanIntervention';
    $sql.= "CREATE TABLE $BDD_inter (
	`IDTech` int(8) NOT NULL AUTO_INCREMENT,
	`Email` varchar(50) NULL,
	`Num_Inter` varchar(15) NULL,
	`Date` date NULL,
	`Heure_début` varchar(10) NULL,
	`Heure_Fin` varchar(10) NULL,
	`Nature` varchar(50) NULL,
	`Statut` varchar(25) NULL,
	`Telechargement` varchar(150) NULL,
	`Lib_Inter` varchar(4000) NULL,
	`Demandeur` varchar(75) NULL,
	UNIQUE KEY id (IDTech)
    );";

	
	 $BDD_doc = $wpdb->prefix . 'GestanDoc';
    $sql.= "CREATE TABLE $BDD_doc (
	`IDTech` int(8) NOT NULL AUTO_INCREMENT,
	`Num_Document` varchar(15) NULL,
	`Date` date NULL,
	`Nature` varchar(150) NULL,
	`Email` varchar(50) NULL,
	`Telechargement` varchar(150) NULL,
	`IDProjet` varchar(15) NULL,
	`Nom_Projet` varchar(50) NULL,
	UNIQUE KEY id (IDTech)
    );";
	

    
    require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
    dbDelta( $sql ); 
}

register_activation_hook( __FILE__, 'Creation_tables_Gestan' );



function Creation_pages_Gestan()
{
    global $wpdb;
  
  //Page espace-membre (redirection et coordonnées)

  $mess='Bonjour [Gestan_Prenom],<br /><br />';
  $mess.='Bienvenue dans votre espace client, dans lequel vous pourrez retrouver tous vos documents, et régler en ligne si vous possédez une carte bancaire ou un compte Paypal.<br /><br />';
  $mess.='Voici vos coordonnées telles que nous les avons enregistrées. Si elles sont inexactes, demandez-nous de les corriger.<br /><br />';
  $mess.='[Gestan_Civilite] [Gestan_Prenom] [Gestan_Nom]<br />';
  $mess.='[Gestan_Coordonnees]<br /><br/>';
  $mess.='[Gestan_Commentaires]';
  
  

 $espace_membre = array(
  'post_title'    => 'Espace-membre',
  'post_type'     => 'page',
  'post_name'     => 'espace-membre',
  'post_content'  => $mess,
  'post_status'   => 'publish',
  'comment_status' => 'closed',
  'ping_status' => 'closed',
  'post_author' => 1,
  'menu_order' => 0
  );
wp_insert_post($espace_membre); 
  
  
  //Page Commande

  $mess='Voici la liste des commandes établies à votre nom :<br /><br />';
  $mess.='[Gestan_Commande]';

  

 $pg_cmd = array(
  'post_title'    => 'Commandes',
  'post_type'     => 'page',
  'post_name'     => 'commandes',
  'post_content'  => $mess,
  'post_status'   => 'publish',
  'comment_status' => 'closed',
  'ping_status' => 'closed',
  'post_author' => 1,
  'menu_order' => 0
  );
wp_insert_post($pg_cmd); 
  
  
  //Page Devis

  $mess='Voici la liste des devis établis à votre nom :<br /><br />';
  $mess.='[Gestan_Devis]';
    

 $pg_devis = array(
  'post_title'    => 'Devis',
  'post_type'     => 'page',
  'post_name'     => 'devis',
  'post_content'  => $mess,
  'post_status'   => 'publish',
  'comment_status' => 'closed',
  'ping_status' => 'closed',
  'post_author' => 1,
  'menu_order' => 0
  );
wp_insert_post($pg_devis); 

  

  //Page Factures

  $mess='Voici la liste des factures établies à votre nom :<br /><br />';
  $mess.='[Gestan_Factures]';
  

 $pg_factures = array(
  'post_title'    => 'Factures',
  'post_type'     => 'page',
  'post_name'     => 'factures',
  'post_content'  => $mess,
  'post_status'   => 'publish',
  'comment_status' => 'closed',
  'ping_status' => 'closed',
  'post_author' => 1,
  'menu_order' => 0
  );
wp_insert_post($pg_factures); 

  
  
  
  
    //Page Documents

  $mess='Voici la liste des documents établis à votre nom :<br /><br />';
  $mess.='[Gestan_Document]';

  

 $pg_docs = array(
  'post_title'    => 'Documents',
  'post_type'     => 'page',
  'post_name'     => 'documents',
  'post_content'  => $mess,
  'post_status'   => 'publish',
  'comment_status' => 'closed',
  'ping_status' => 'closed',
  'post_author' => 1,
  'menu_order' => 0
  );
wp_insert_post($pg_docs); 



    //Page Interventions

  $mess='Voici la liste des interventions établies à votre nom :<br /><br />';
  $mess.='[Gestan_Interventions]';


 $pg_inter = array(
  'post_title'    => 'Interventions',
  'post_type'     => 'page',
  'post_name'     => 'interventions',
  'post_content'  => $mess,
  'post_status'   => 'publish',
  'comment_status' => 'closed',
  'ping_status' => 'closed',
  'post_author' => 1,
  'menu_order' => 0
  );
wp_insert_post($pg_inter); 





    //Page Paiement OK

  $mess='Nous avons bien réceptionné votre paiement. Merci !';
  

 $pg_ok = array(
  'post_title'    => 'Paiement recu',
  'post_type'     => 'page',
  'post_name'     => 'paiement-recu',
  'post_content'  => $mess,
  'post_status'   => 'publish',
  'comment_status' => 'closed',
  'ping_status' => 'closed',
  'post_author' => 1,
  'menu_order' => 0
  );
wp_insert_post($pg_ok); 




    //Page Paiement KO

  $mess='Il y a eu une erreur lors de votre paiement: vous ne serez pas débité et vous pouvez tenter de réitérer votre paiement.';


 $pg_ko = array(
  'post_title'    => 'Paiement refuse',
  'post_type'     => 'page',
  'post_name'     => 'paiement-refuse',
  'post_content'  => $mess,
  'post_status'   => 'publish',
  'comment_status' => 'closed',
  'ping_status' => 'closed',
  'post_author' => 1,
  'menu_order' => 0
  );
wp_insert_post($pg_ko); 



}



register_activation_hook( __FILE__, 'Creation_pages_Gestan' );







// [Gestan_Coordonnees]
function Gt_Coordonnees() {

    global $wpdb;
    global $current_user;
    
    if ( is_user_logged_in() ) {
        $ReponseArray = $wpdb->get_results('SELECT * FROM `' . $wpdb->prefix . 'GestanClients` WHERE Email="'.$current_user->user_email.'"');

        $reponse = '';
        foreach ( (array) $ReponseArray as $ReponseUnique ) {       
          $reponse.='<b>';
          if(!empty($ReponseUnique->Civilite)) {$reponse.= $ReponseUnique->Civilite." ";}

          if(!empty($ReponseUnique->Prenom)) {$reponse.= $ReponseUnique->Prenom . " ";}
          if(!empty($ReponseUnique->Nom)) {$reponse.= $ReponseUnique->Nom;}
          $reponse.='</b><br /><em>';
          if(!empty($ReponseUnique->Raison_Sociale)) {$reponse.= $ReponseUnique->Raison_Sociale . " ";}
          $reponse.='</em><br />';
		  if(!empty($ReponseUnique->Adresse1)) {$reponse.=$ReponseUnique->Adresse1."<br />";}
          if(!empty($ReponseUnique->Adresse2)) {$reponse.=$ReponseUnique->Adresse2."<br />";}
          if(!empty($ReponseUnique->CP)) {$reponse.=$ReponseUnique->CP." ";}
          if(!empty($ReponseUnique->Ville)) {$reponse.=$ReponseUnique->Ville;}
          $reponse.='<br /><em>';
          if(!empty($ReponseUnique->Email)) {$reponse.=("<a href='mailto:".$ReponseUnique->Email."'>".$ReponseUnique->Email."</a><br />");}
          $reponse.="</em><br />";
          if(!empty($ReponseUnique->TelHome)) {$reponse.=$ReponseUnique->TelHome."<br />";}
          if(!empty($ReponseUnique->TelGSM)) {$reponse.=$ReponseUnique->TelGSM."<br />";}
          if(!empty($ReponseUnique->Date_Naissance)) {$reponse.="Né(e) le: ".date("d/m/Y", strtotime($ReponseUnique->Date_Naissance))."<br />";} 
        }
    return $reponse;
    }
}

add_shortcode( 'Gestan_Coordonnees', 'Gt_Coordonnees' );


// [Gestan_Civilite]
function Gt_Civilite() {

    global $wpdb;
    global $current_user;
    
    if ( is_user_logged_in() ) {
        $ReponseArray = $wpdb->get_results('SELECT * FROM `' . $wpdb->prefix . 'GestanClients` WHERE Email="'.$current_user->user_email.'"');

        $reponse = '';
        foreach ( (array) $ReponseArray as $ReponseUnique ) {       
          if(!empty($ReponseUnique->Civilite)) {$reponse.= $ReponseUnique->Civilite." ";}
        }
    return $reponse;
    }
}

add_shortcode( 'Gestan_Civilite', 'Gt_Civilite' );




// [Gestan_Prenom]
function Gt_Prenom() {

    global $wpdb;
    global $current_user;
    
    if ( is_user_logged_in() ) {
        $ReponseArray = $wpdb->get_results('SELECT * FROM `' . $wpdb->prefix . 'GestanClients` WHERE Email="'.$current_user->user_email.'"');

        $reponse = '';
        foreach ( (array) $ReponseArray as $ReponseUnique ) {       
          if(!empty($ReponseUnique->Prenom)) {$reponse.= $ReponseUnique->Prenom . " ";}
        }
    return $reponse;
    }
}

add_shortcode( 'Gestan_Prenom', 'Gt_Prenom' );





// [Gestan_Raison_Sociale]
function Gt_Raison_Sociale() {

    global $wpdb;
    global $current_user;
    
    if ( is_user_logged_in() ) {
        $ReponseArray = $wpdb->get_results('SELECT * FROM `' . $wpdb->prefix . 'GestanClients` WHERE Email="'.$current_user->user_email.'"');

        $reponse = '';
        foreach ( (array) $ReponseArray as $ReponseUnique ) {       
          if(!empty($ReponseUnique->Raison_Sociale)) {$reponse.= $ReponseUnique->Raison_Sociale . " ";}
        }
    return $reponse;
    }
}

add_shortcode( 'Gestan_Raison_Sociale', 'Gt_Raison_Sociale' );




// [Gestan_Nom]
function Gt_Nom() {

    global $wpdb;
    global $current_user;
    
    if ( is_user_logged_in() ) {
        $ReponseArray = $wpdb->get_results('SELECT * FROM `' . $wpdb->prefix . 'GestanClients` WHERE Email="'.$current_user->user_email.'"');

        $reponse = '';
        foreach ( (array) $ReponseArray as $ReponseUnique ) {       
          if(!empty($ReponseUnique->Nom)) {$reponse.= $ReponseUnique->Nom . " ";}
        }
    return $reponse;
        }
}

add_shortcode( 'Gestan_Nom', 'Gt_Nom' );


// [Gestan_Adresse1]
function Gt_Adresse1() {

    global $wpdb;
    global $current_user;
    
    if ( is_user_logged_in() ) {
        $ReponseArray = $wpdb->get_results('SELECT * FROM `' . $wpdb->prefix . 'GestanClients` WHERE Email="'.$current_user->user_email.'"');

        $reponse = '';
        foreach ( (array) $ReponseArray as $ReponseUnique ) {       
          if(!empty($ReponseUnique->Adresse1)) {$reponse.= $ReponseUnique->Adresse1 . " ";}
        }
    return $reponse;
    }
}

add_shortcode( 'Gestan_Adresse1', 'Gt_Adresse1' );


// [Gestan_Adresse2]
function Gt_Adresse2() {

    global $wpdb;
    global $current_user;
    
    if ( is_user_logged_in() ) {
        $ReponseArray = $wpdb->get_results('SELECT * FROM `' . $wpdb->prefix . 'GestanClients` WHERE Email="'.$current_user->user_email.'"');

        $reponse = '';
        foreach ( (array) $ReponseArray as $ReponseUnique ) {       
          if(!empty($ReponseUnique->Adresse2)) {$reponse.= $ReponseUnique->Adresse2 . " ";}
        }
    return $reponse;
    }
}

add_shortcode( 'Gestan_Adresse2', 'Gt_Adresse2' );



// [Gestan_CP]
function Gt_CP() {

    global $wpdb;
    global $current_user;
    
    if ( is_user_logged_in() ) {
        $ReponseArray = $wpdb->get_results('SELECT * FROM `' . $wpdb->prefix . 'GestanClients` WHERE Email="'.$current_user->user_email.'"');

        $reponse = '';
        foreach ( (array) $ReponseArray as $ReponseUnique ) {       
          if(!empty($ReponseUnique->CP)) {$reponse.= $ReponseUnique->CP . " ";}
        }
    return $reponse;
    }
}

add_shortcode( 'Gestan_CP', 'Gt_CP' );


// [Gestan_Ville]
function Gt_Ville() {

    global $wpdb;
    global $current_user;
    
    if ( is_user_logged_in() ) {
        $ReponseArray = $wpdb->get_results('SELECT * FROM `' . $wpdb->prefix . 'GestanClients` WHERE Email="'.$current_user->user_email.'"');

        $reponse = '';
        foreach ( (array) $ReponseArray as $ReponseUnique ) {       
          if(!empty($ReponseUnique->Ville)) {$reponse.= $ReponseUnique->Ville . " ";}
        }
    return $reponse;
    }
}

add_shortcode( 'Gestan_Ville', 'Gt_Ville' );



// [Gestan_Email]
function Gt_Email() {

    global $wpdb;
    global $current_user;
    
    if ( is_user_logged_in() ) {
        $ReponseArray = $wpdb->get_results('SELECT * FROM `' . $wpdb->prefix . 'GestanClients` WHERE Email="'.$current_user->user_email.'"');

        $reponse = '';
        foreach ( (array) $ReponseArray as $ReponseUnique ) {       
          if(!empty($ReponseUnique->Email)) {$reponse.=("<a href='mailto:".$ReponseUnique->Email."'>".$ReponseUnique->Email."</a><br />");}
        }
    return $reponse;
    }
}

add_shortcode( 'Gestan_Email', 'Gt_Email' );




// [Gestan_Telephone_Fixe]
function Gt_Telephone_Fixe() {

    global $wpdb;
    global $current_user;
    
    if ( is_user_logged_in() ) {
        $ReponseArray = $wpdb->get_results('SELECT * FROM `' . $wpdb->prefix . 'GestanClients` WHERE Email="'.$current_user->user_email.'"');

        $reponse = '';
        foreach ( (array) $ReponseArray as $ReponseUnique ) {       
          if(!empty($ReponseUnique->TelHome)) {$reponse.= $ReponseUnique->TelHome. " ";}
        }
    return $reponse;
    }
}

add_shortcode( 'Gestan_Telephone_Fixe', 'Gt_Telephone_Fixe' );




// [Gestan_Telephone_Portable]
function Gt_Telephone_Portable() {

    global $wpdb;
    global $current_user;
    
    if ( is_user_logged_in() ) {
        $ReponseArray = $wpdb->get_results('SELECT * FROM `' . $wpdb->prefix . 'GestanClients` WHERE Email="'.$current_user->user_email.'"');

        $reponse = '';
        foreach ( (array) $ReponseArray as $ReponseUnique ) {       
          if(!empty($ReponseUnique->TelGSM)) {$reponse.= $ReponseUnique->TelGSM. " ";}
        }
    return $reponse;
    }
}

add_shortcode( 'Gestan_Telephone_Portable', 'Gt_Telephone_Portable' );



// [Gestan_Date_Naissance]
function Gt_Date_Naissance() {

    global $wpdb;
    global $current_user;
    
    if ( is_user_logged_in() ) {
        $ReponseArray = $wpdb->get_results('SELECT * FROM `' . $wpdb->prefix . 'GestanClients` WHERE Email="'.$current_user->user_email.'"');

        $reponse = '';
        foreach ( (array) $ReponseArray as $ReponseUnique ) {       
          if(!empty($ReponseUnique->Date_Naissance)) {$reponse.="Né(e) le: ".date("d/m/Y", strtotime($ReponseUnique->Date_Naissance))."<br />";} 
        }
    return $reponse;
    }
}

add_shortcode( 'Gestan_Date_Naissance', 'Gt_Date_Naissance' );


// [Gestan_Commentaires]
function Gt_Commentaires() {

    global $wpdb;
    global $current_user;
    
    if ( is_user_logged_in() ) {
        $ReponseArray = $wpdb->get_results('SELECT * FROM `' . $wpdb->prefix . 'GestanClients` WHERE Email="'.$current_user->user_email.'"');

        $reponse = '';
        foreach ( (array) $ReponseArray as $ReponseUnique ) {       
          if(!empty($ReponseUnique->COMMENTAIRE)) {$reponse.="<u>Commentaires:</u> <br />".($ReponseUnique->COMMENTAIRE)."<br />";} 
        }
    return $reponse;
    }
}

add_shortcode( 'Gestan_Commentaires', 'Gt_Commentaires' );




//[Gestan_Document] ou [Gestan_Document tri="Projet"]
function Gt_Document($atts) {
	
	global $wpdb;
	global $current_user;

	if(empty($atts['tri'])){$atts['tri']="Num_Document";}
	if(($atts['tri']=="Projet")){$atts['tri']="IDProjet";}
	$EnTete=0;
	
	if ( is_user_logged_in() ) {


		$ReponseArray = $wpdb->get_results('SELECT * FROM `' . $wpdb->prefix . 'GestanDoc` WHERE Email="'.$current_user->user_email.'" ORDER BY '.$atts["tri"]);

        $reponse = '';
        foreach ( (array) $ReponseArray as $ReponseUnique ) {       		
			$EnTete++;
			if($EnTete==1){
				
				$reponse.='<table class="Gestan">';

				if(($atts['tri']=="IDProjet")){
					$LeProjet = $ReponseUnique->Nom_Projet;
					
					$reponse.="<tr>";
					
					if(($ReponseUnique->IDProjet == 0)){
						$reponse.="<td class='TDProjet' colspan=3>Non lié à un projet</td>";
					}else{
						$reponse.="<td class='TDProjet' colspan=3>Projet ".$LeProjet."</td>";
					}
					
					$reponse.="</tr>";
				}

$reponse.='<tr><th class="Documents_Date">Date</th><th class="Documents_Libelle">Libellé</th><th class="Documents_Telechagement">Téléchargement</th></tr>';
				

				
				
				
				
				$reponse.="<tr><td class='Documents_Date'>".date("d/m/Y", strtotime($ReponseUnique->Date))."</td>";
				$reponse.="<td class='Documents_Libelle'>".$ReponseUnique->Nature."</td>";
				$reponse.="<td class='Factures_Telechargement'><a href=".$ReponseUnique->Telechargement." target='_BLANK'>Télécharger</a></td>";
			}else {
				
				
				
				if(($atts['tri']=="IDProjet") && ($ReponseUnique->Nom_Projet!=$LeProjet)){
$reponse.='<tr><td  class="PasBordure" colspan=3></td></tr>';
					$LeProjet = $ReponseUnique->Nom_Projet;
					
					$reponse.="<tr>";
					
					if(($ReponseUnique->IDProjet == 0)){
						$reponse.="<td class='TDProjet' colspan=3>Non lié à un projet</td>";
					}else{
						$reponse.="<td class='TDProjet' colspan=3>Projet ".$LeProjet."</td>";
					}
					
					$reponse.="";
					$reponse.="</tr>";

$reponse.='<tr><th class="Documents_Date">Date</th><th class="Documents_Libelle">Libellé</th><th class="Documents_Telechagement">Téléchargement</th></tr>';

				}
				
				
				
				
				
				
				
				$reponse.='<tr>';
				$reponse.="<td class='Documents_Date'>".date("d/m/Y", strtotime($ReponseUnique->Date))."</td>";
				$reponse.="<td class='Documents_Libelle'>".$ReponseUnique->Nature."</td>";
				$reponse.="<td class='Factures_Telechargement'><a href=".$ReponseUnique->Telechargement." target='_BLANK'>Télécharger</a></td>";
			}
		$reponse.='</tr>';
		}
		$reponse.='</table>';
		
			if($EnTete==0){
				$reponse.="<h5>Aucun document disponible avec l'adresse email '".$current_user->user_email."'</h5><br /><br /><br /><br />";
			}
				
	return $reponse;
	}
}

add_shortcode( 'Gestan_Document', 'Gt_Document');







// [Gestan_Factures] ou [Gestan_Factures telechargeable="faux"] et/ou [Gestan_Factures tri="vrai"]
function Gt_Factures($atts=array()) {


$atts=shortcode_atts(array(
        'telechargeable' => 'affichage',
        'tri' => "faux"
    ), $atts);


	
    global $wpdb;
    global $current_user;
    
	$ReponseArray2 = $wpdb->get_results('SELECT * FROM `' . $wpdb->prefix . 'GestanParam`');
	foreach ( (array) $ReponseArray2 as $ReponseUnique2 ) {
		if(!empty($ReponseUnique2->PaypalEmail)) {$EmailPaypal = $ReponseUnique2->PaypalEmail;};
		if(!empty($ReponseUnique2->PagePaiementOK)) {$PgOK = $ReponseUnique2->PagePaiementOK;};
		if(!empty($ReponseUnique2->PagePaiementKO)) {$PgKO = $ReponseUnique2->PagePaiementKO;};
	}
	
    if ( is_user_logged_in() ) {
		
		
		
		if($atts['tri']!="faux"){
			$ReponseArray = $wpdb->get_results('SELECT * FROM `' . $wpdb->prefix . 'GestanFactures` WHERE Email="'.$current_user->user_email.'" ORDER BY `NomPrenom` DESC');
		}else{
			$ReponseArray = $wpdb->get_results('SELECT * FROM `' . $wpdb->prefix . 'GestanFactures` WHERE Email="'.$current_user->user_email.'" ORDER BY `Date` DESC');
		}
			
			
        
		
		
		
		$reponse = '';
		
		$LeTri='';
		
        foreach ( (array) $ReponseArray as $ReponseUnique ) {       
          	  
			$EnTete++;
			if($EnTete==1){
			if((empty($EmailPaypal)) || (empty($PgOK)) || (empty($PgKO))){
				$reponse.='<table class="Gestan"><tr><th class="Factures_Date">Date</th><th class="Factures_Numero">Numéro</th><th class="Factures_Libelle">Libellé</th><th class="Factures_Montant">Montant</th>';
			}else{
				$reponse.='<table class="Gestan"><tr><th class="Factures_Date">Date</th><th class="Factures_Numero">Numéro</th><th class="Factures_Libelle">Libellé</th><th class="Factures_Montant">Montant</th><th class="Factures_Statut">Statut</th>';
			}
					
				if($atts['telechargeable']!="faux"){
					$reponse.='<th class="Factures_Telechargement">Téléchargement</th>';
				}
				$reponse.='</tr>';
			}
			
			
			
			
			
	  if(($LeTri!=$ReponseUnique->NomPrenom)&&($atts['tri']!="faux")) {
		$reponse.="<th class='Raison_Sociale'><b>".$ReponseUnique->NomPrenom."</b></th>";
		$LeTri=$ReponseUnique->NomPrenom;
	  }
		 
		 
			
			
			
			$reponse.="<tr>";
			$reponse.="<td class='Factures_Date'>".date("d/m/Y", strtotime($ReponseUnique->Date))."</td>";
			$reponse.="<td class='Factures_Numero'>".$ReponseUnique->Num_Facture."</td>";
			$reponse.="<td class='Factures_Libelle'>".$ReponseUnique->Nature."</td>";
			$reponse.="<td class='Factures_Montant'>".money_format("%.2n", $ReponseUnique->Total)."€</td>";
			
			if(($ReponseUnique->Statut==0)&&(!empty($EmailPaypal))&&(!empty($PgOK))&&(!empty($PgKO))){
				
				$reponse.="<td class='Factures_Statut'>";
		

//******************************************
//Paypal
//******************************************
			$reponse.='<form action="https://www.paypal.com/cgi-bin/webscr" id="paypal_form" method="post" target="_blank">';
				$reponse.='<input type="hidden" name="cmd" value="_xclick">';
				$reponse.='<input type="hidden" name="business" value="'.$EmailPaypal.'">';
				$reponse.='<input type="hidden" name="lc" value="FR">';
				$reponse.='<input type="hidden" name="currency_code" value="EUR">';
				$reponse.='<input type="hidden" name="button_subtype" value="services">';
				$reponse.='<input type="hidden" name="no_note" value="0">';
				$reponse.='<input type="hidden" name="no_shipping" value="2">';
				$reponse.='<input type="hidden" name="rm" value="1">';
				$reponse.='<input type="hidden" name="return" value="'.$PgOK.'">';
				$reponse.='<input type="hidden" name="cancel_return" value="'.$PgKO.'">';
				$reponse.='<input type="hidden" name="bn" value="PP-BuyNowBF:btn_buynowCC_LG.gif:NonHosted">';
				$reponse.='<input type="hidden" name="cn" value="'.$ReponseUnique->NomPrenom.'">';
				$reponse.='<input type="hidden" name="item_name" value="Facture '.$ReponseUnique->Num_Facture.'">';
				$reponse.='<input type="hidden" name="amount" value="'.$ReponseUnique->ResteAPayer.'">';
				$reponse.='<input type="image" src="'.ImgPaiement.'" alt="Payer">';
				$reponse.='</form>';
				
				
				
				
				
				$reponse.="</td>";
			}elseif($ReponseUnique->Statut==1){
				$reponse.="<td class='Factures_Statut'><img src='".ImgCheck."' alt='Facture à régler'/></td>";
			}else{
				$reponse.="<td class='Factures_Statut'><img src='".ImgPaiement."' alt='Facture réglée'/></td>";
			}
			
			if($atts['telechargeable']!="faux"){
				$reponse.="<td class='Factures_Telechargement'><a href=".$ReponseUnique->Telechargement." target='_BLANK'>Télécharger</a></td>";
			}
			
			$reponse.='</tr>';
			}
			
			$reponse.='</table>';


			if($EnTete==0){
				$reponse.="<h5>Aucune facture disponible avec l'adresse email '".$current_user->user_email."'</h5><br /><br /><br /><br />";
			}else{
				$reponse.='<div class="wpb_wrapper"><p style="text-align: left; font-size: small;"><br /><em style="vertical-align: middle;"><img class="size-full wp-image-3840 alignleft     lazyloaded" src="'.ImgCheck.'" data-lazy-src="'.ImgCheck.'" alt="Check" width="15" height="15"><noscript>&lt;img class="size-full wp-image-3840 alignleft" src="'.ImgCheck.'" alt="Check" width="15" height="15" /&gt;</noscript>Cette icone indique que la facture est réglée. Merci !</em></p></div>';
			}
  
 


       return $reponse;
    }
}

add_shortcode( 'Gestan_Factures', 'Gt_Factures' );









// [Gestan_Devis] ou [Gestan_Devis telechargeable="faux"] et/ou [Gestan_Devis tri="vrai"]
function Gt_Devis($atts=array()) {

	$atts=shortcode_atts(array(
        'telechargeable' => 'affichage',
        'tri' => "faux"
    ), $atts);
	
    global $wpdb;
    global $current_user;
    
    if ( is_user_logged_in() ) {
		
		if($atts['tri']!="faux"){
			$ReponseArray = $wpdb->get_results('SELECT * FROM `' . $wpdb->prefix . 'GestanDevis` WHERE Email="'.$current_user->user_email.'" ORDER BY `NomPrenom` DESC');
		}else{
			$ReponseArray = $wpdb->get_results('SELECT * FROM `' . $wpdb->prefix . 'GestanDevis` WHERE Email="'.$current_user->user_email.'" ORDER BY `Date` DESC');
		}


$LeTri='';

        $reponse = '';
        foreach ( (array) $ReponseArray as $ReponseUnique ) {       
          
			$EnTete++;
			if($EnTete==1){
				$reponse.='<table class="Gestan"><tr class="Devis_Date"><th>Date</th><th class="Devis_Numero">Numéro</th><th class="Devis_Libelle">Libellé</th><th class="Devis_Montant">Montant</th>';
					
				if($atts['telechargeable']!="faux"){
					$reponse.='<th class="Devis_Telechargement">Téléchargement</th>';
				}
				

				$reponse.='</tr>';
			}
			
			
				  if(($LeTri!=$ReponseUnique->NomPrenom)&&($atts['tri']!="faux")) {
		$reponse.="<th class='Raison_Sociale'><b>".$ReponseUnique->NomPrenom."</b></th>";
		$LeTri=$ReponseUnique->NomPrenom;
	  }
	  
	  
			$reponse.="<tr>";
			$reponse.="<td class='Devis_Date'>".date("d/m/Y", strtotime($ReponseUnique->Date))."</td>";
			$reponse.="<td class='Devis_Numero'>".$ReponseUnique->Num_Devis."</td>";
			$reponse.="<td class='Devis_Libelle'>".$ReponseUnique->Nature."</td>";
			$reponse.="<td class='Devis_Montant'>".money_format("%.2n", $ReponseUnique->Total)."€</td>";
			
			if($atts['telechargeable']!="faux"){
				$reponse.="<td class='Devis_Telechargement'><a href=".$ReponseUnique->Telechargement." target='_BLANK'>Télécharger</a></td>";
			}
			
			$reponse.='</tr>';
		}
			
			$reponse.='</table>';


			if($EnTete==0){
				$reponse.="<h5>Aucun devis disponible avec l'adresse email '".$current_user->user_email."'</h5><br /><br /><br /><br />";
			}


       return $reponse;
    }
}

add_shortcode( 'Gestan_Devis', 'Gt_Devis' );










// [Gestan_Commande] ou [Gestan_Commande telechargeable="faux"] et/ou [Gestan_Commande livraison="faux"] et/ou [Gestan_Factures tri="vrai"]
function Gt_Commande($atts=array()) {


$atts=shortcode_atts(array(
        'telechargeable' => 'affichage',
		'livraison' => 'affichage',
        'tri' => "faux"
    ), $atts);
	
	
    global $wpdb;
    global $current_user;
    
    if ( is_user_logged_in() ) {
		
		if($atts['tri']!="faux"){
			$ReponseArray = $wpdb->get_results('SELECT * FROM `' . $wpdb->prefix . 'GestanCommande` WHERE Email="'.$current_user->user_email.'" ORDER BY `NomPrenom` DESC');
		}else{
			$ReponseArray = $wpdb->get_results('SELECT * FROM `' . $wpdb->prefix . 'GestanCommande` WHERE Email="'.$current_user->user_email.'" ORDER BY `Date` DESC');
		}
		
		$LeTri='';
        $reponse = '';
        foreach ( (array) $ReponseArray as $ReponseUnique ) {       
          
			$EnTete++;
			if($EnTete==1){
				$reponse.='<table class="Gestan"><tr class="Commande_Date"><th>Date</th><th class="Commande_Numero">Numéro</th><th class="Commande_Libelle">Libellé</th><th class="Commande_Montant">Montant</th>';
					
				if($atts['livraison']!="faux"){
					$reponse.='<th class="Commande_Livraison">Date de livraison</th>';
				}
					
				if($atts['telechargeable']!="faux"){
					$reponse.='<th class="Devis_Telechargement">Téléchargement</th>';
				}
				
				
				
				
					  if(($LeTri!=$ReponseUnique->NomPrenom)&&($atts['tri']!="faux")) {
		$reponse.="<th class='Raison_Sociale'><b>".$ReponseUnique->NomPrenom."</b></th>";
		$LeTri=$ReponseUnique->NomPrenom;
	  }

				$reponse.='</tr>';
			}
			$reponse.="<tr>";
			$reponse.="<td class='Commande_Date'>".date("d/m/Y", strtotime($ReponseUnique->Date))."</td>";
			$reponse.="<td class='Commande_Numero'>".$ReponseUnique->Num_Commande."</td>";
			$reponse.="<td class='Commande_Libelle'>".$ReponseUnique->Nature."</td>";
			$reponse.="<td class='Commande_Montant'>".money_format("%.2n", $ReponseUnique->Total)."€</td>";
			
			if($atts['livraison']!="faux"){
				$reponse.="<td class='Commande_Livraison'>".$ReponseUnique->Dt_Livraison."</td>";
			}
			
			if($atts['telechargeable']!="faux"){
				$reponse.="<td class='Commande_Telechargement'><a href=".$ReponseUnique->Telechargement." target='_BLANK'>Télécharger</a></td>";
			}
			
			$reponse.='</tr>';
		}
			
			$reponse.='</table>';


			if($EnTete==0){
				$reponse.="<h5>Aucune commande disponible avec l'adresse email '".$current_user->user_email."'</h5><br /><br /><br /><br />";
			}


       return $reponse;
    }
}

add_shortcode( 'Gestan_Commande', 'Gt_Commande' );



// [Gestan_Interventions] ou [Gestan_Interventions telechargeable="faux"]
function Gt_Interventions($atts) {

	if(empty($atts['telechargeable'])){$atts['telechargeable']="affichage";}
	
    global $wpdb;
    global $current_user;
    
    if ( is_user_logged_in() ) {
    $ReponseArray = $wpdb->get_results('SELECT * FROM `' . $wpdb->prefix . 'GestanIntervention` WHERE Email="'.$current_user->user_email.'" ORDER BY `Date` DESC');

        $reponse = '';
        foreach ( (array) $ReponseArray as $ReponseUnique ) {       
          
			$EnTete++;
			if($EnTete==1){
				$reponse.='<table class="Gestan"><tr><th class="Intervention_Date">Date</th><th class="Intervention_HD">Heure de début</th><th class="Intervention_HF">Heure de fin</th><th class="Intervention_Numero">Numéro</th><th class="Intervention_Nature">Nature</th><th class="Intervention_Statut">Statut</th>';
					
				if($atts['telechargeable']!="faux"){
					$reponse.='<th class="Intervention_Telechargement">Téléchargement</th>';
				}
				

				$reponse.='</tr>';
			}
			$reponse.="<tr>";
			$reponse.="<td class='Intervention_Date'>".date("d/m/Y", strtotime($ReponseUnique->Date))."</td>";
			$reponse.="<td class='Intervention_HD'>".substr($ReponseUnique->Heure_début,0,2).":".substr($ReponseUnique->Heure_début,2,2)."</td>";
			$reponse.="<td class='Intervention_HD'>".substr($ReponseUnique->Heure_Fin,0,2).":".substr($ReponseUnique->Heure_Fin,2,2)."</td>";
			$reponse.="<td class='Intervention_Numero'>".$ReponseUnique->Num_Inter."</td>";
			$reponse.="<td class='Intervention_Nature'>".$ReponseUnique->Nature."</td>";
			$reponse.="<td class='Intervention_Statut'>".$ReponseUnique->Statut."</td>";
			
			if($atts['telechargeable']!="faux"){
				$reponse.="<td class='Intervention_Telechargement'><a href=".$ReponseUnique->Telechargement." target='_BLANK'>Télécharger</a></td>";
			}
			
			$reponse.='</tr>';
		}
			
			$reponse.='</table>';


			if($EnTete==0){
				$reponse.="<h5>Aucune intervention disponible avec l'adresse email '".$current_user->user_email."'</h5><br /><br /><br /><br />";
			}


       return $reponse;
    }
}

add_shortcode( 'Gestan_Interventions', 'Gt_Interventions' );


